package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 校考院校对象 mall_test_school
 * 
 * @author ruoyi
 * @date 2023-11-01
 */
public class MallTestSchool extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 校考id */
    @Excel(name = "校考id")
    private Long testSchoolId;

    /** 院校 */
    @Excel(name = "院校")
    private String schoolName;

    /** 删除标记(0-正常,1-删除) */
    @Excel(name = "删除标记(0-正常,1-删除)")
    private Integer delFlag;

    public void setTestSchoolId(Long testSchoolId) 
    {
        this.testSchoolId = testSchoolId;
    }

    public Long getTestSchoolId() 
    {
        return testSchoolId;
    }
    public void setSchoolName(String schoolName) 
    {
        this.schoolName = schoolName;
    }

    public String getSchoolName() 
    {
        return schoolName;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("testSchoolId", getTestSchoolId())
            .append("schoolName", getSchoolName())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
